body {
    padding: 0;
    margin: 0;
    max-width: 100%;
    max-height: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
    overflow-x: hidden;
    background-color: #d0d0d0;
}

main {
    background-color: #fff;
    grid-column: 1/13;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
    margin: 45px;
}

.info {
    grid-column: 1/13;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
}

.info > div:first-of-type {
    grid-column: 1/6;
    margin: 30px auto 0;
}

.info > div:first-of-type > img:last-child {
    width: 158px;
    height: 116px;
    position: absolute;
    margin-left: -180px;
    margin-top: 35px;
}

.info > div:nth-of-type(2) {
    grid-column: 6/12;
}

.info > div:nth-of-type(2) h2 {
    text-align: center;
}

.info > div:nth-of-type(3) {
    grid-column: 6/12;
}

.info > div:nth-of-type(2) > div {
    display: flex;
    justify-content: space-between;
}

.info > div:nth-of-type(2) > div:last-child {
    margin-top: 80px;
    justify-content: space-around;
    flex-wrap: wrap;
}

.playbtn, .reportbtn, .uploadbtn {
    background: #f2f2f2;
    padding: 10px 15px;
    border-radius: 5px;
    display: flex;
    margin: 10px;
}

.playbtn > div:first-child, .reportbtn > div:first-child, .uploadbtn > div:first-child, .lastmusic > div:nth-of-type(2) > div:first-child {
    background-image: url("../img/sprites.svg");
    background-repeat: no-repeat;
    background-size: 250px 250px;
    width: 40px;
    height: 40px;
    margin-right: 10px;
}

.playbtn > div:first-child {
    background-position: -27px 5px;
}

.playbtn > div:last-child, .reportbtn > div:last-child, .uploadbtn > div:last-child {
    transform: translateY(7px);
}

.reportbtn > div:first-child {
    width: 35px;
    height: 35px;
    background-size: 300px 300px;
    background-position: -72px -36px;
}

.uploadbtn > div:first-child {
    background-position: -142px -26px;
}

.lastmusic > div:first-child {
    width: 100%;
    border-bottom: 1px solid #6a6a6a;
}

.lastmusic input {
    width: 98%;
    background-color: #f2f2f2;
    border: 0px;
    font-size: 14pt;
    padding: 10px;
}

div.content > input:focus-visible {
    border: 0px;
}

.lastmusic {
    grid-column: 1/13;
    background: #f2f2f2;
    margin: 0 90px;
}

.lastmusic > div:nth-of-type(2) {
    width: 100%;
    display: flex;
    color: #6a6a6a;
    padding: 5px 10px;
    font-weight: bold;
}

.lastmusic > div:nth-of-type(2) > div:first-child {
    background-position: -114px -29px;
    width: 32px;
    height: 32px;
}

.lastmusic > div:nth-of-type(2) > div:last-child {
    transform: translateY(5px);
}

.player {
    margin-top: 5px;
}

@media (max-width: 960px) {
    body {
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
    }
    
    main {
        grid-column: 1/9;
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
        margin: 0;
        padding: 90px 0;
    }
    
    .info {
        grid-column: 1/9;
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
    }
    
    .info > div:first-of-type {
        grid-column: 1/9;
    }
    
    .info > div:nth-of-type(2) {
        grid-column: 1/9;
    }
    
    .info > div:nth-of-type(3) {
        grid-column: 1/9;
    }
    
    .info > div:nth-of-type(2) > div {
        margin: 0 45px;
    }
    
    .info > div:nth-of-type(2) > div:last-child {
        margin: 80px 0 30px 0;
    }
    
    .playbtn > div:first-child, .reportbtn > div:first-child, .uploadbtn > div:first-child, .lastmusic > div:nth-of-type(2) > div:first-child {
        background-image: url("../img/sprites.svg");
        background-repeat: no-repeat;
        background-size: 250px 250px;
        width: 40px;
        height: 40px;
        margin-right: 10px;
    }
    
    .playbtn > div:first-child {
        background-position: -27px 5px;
    }
    
    .playbtn > div:last-child, .reportbtn > div:last-child, .uploadbtn > div:last-child {
        transform: translateY(7px);
    }
    
    .reportbtn > div:first-child {
        width: 35px;
        height: 35px;
        background-size: 300px 300px;
        background-position: -72px -36px;
    }
    
    .uploadbtn > div:first-child {
        background-position: -142px -26px;
    }

    .lastmusic > div:nth-of-type(2) > div:first-child {
        background-position: -136px -37px;
        background-size: 300px 300px;
    }
    
    .lastmusic input {
        width: 97%;
    }
    
    .lastmusic {
        grid-column: 1/9;
    }
}

@media (max-width: 480px) {
    body {
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
    }
    
    main {
        grid-column: 1/7;
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
    }
    
    .info {
        grid-column: 1/7;
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
    }
    
    .info > div:first-of-type {
        grid-column: 1/7;
    }
    
    .info > div:nth-of-type(2) {
        grid-column: 1/7;
    }
    
    .info > div:nth-of-type(3) {
        grid-column: 1/7;
    }
    
    .lastmusic input {
        width: 95%;
    }

    .lastmusic {
        grid-column: 1/7;
        margin: 0 30px;
    }
}